Bug 843094 - Lack of information and direction creates errors in the server start up when trying to configure an Oracle DefaultDS
Lack of information and direction creates errors in the server start up when ...
Status: VERIFIED
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Getting_Started_Guide (Show other bugs)
5.1.2
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: eap-docs
Rajesh Rajasekaran
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 11:03 EDT by Joshua Wilson
Modified: 2017-10-09 20:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-9598 Minor Closed Lack of information and direction creates errors in the server start up when trying to configure an Oracle DefaultDS 2017-07-06 12:38 EDT

  None (edit)
Description Joshua Wilson 2012-07-25 11:03:43 EDT
Description of problem: Lack of information and direction creates errors in the server start up when trying to configure an Oracle DefaultDS. 


Version-Release number of selected component (if applicable):


How reproducible: go to 2.3. Configuring a datasource for Oracle DB
http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Getting_Started_Guide/Configuring_a_datasource_for_Oracle_DB.html

If I follow the directions here I get error after error and the solutions are not simple to track down.  So I wrote out the commands for a linux install that will walk you through the steps that need to added to make the set up of an Oracle DS as DefaultDS work.

1. cd /var/lib/jbossas/server/xxx/deploy/messaging/
2. rm hsqldb-persistence-service.xml
	a. this is in the docs/examples/jms/ also so you don’t need to save a copy of it.
3. cp /var/lib/jbossas/docs/examples/jms/oracle-persistance-service.xml .
4. vim oracle-persistence-service.xml
	a.	do a find on ‘Channel’
	b.	comment out the 4 lines below the Note that tells you to comment out the lines, like so.
      <!--depends optional-attribute-name="ChannelFactoryName">jboss.jgroups:service=ChannelFactory</depends>
      <attribute name="ControlChannelName">jbm-control</attribute>
      <attribute name="DataChannelName">jbm-data</attribute>
      <attribute name="ChannelPartitionName">${jboss.partition.name:DefaultPartition}-JMS</attribute-->

5. chown jboss:jboss *
6. cd /var/lib/jbossas/server/xxx/deploy
7. vim default-oracle-ds.xml
	a.	The database listed in <type-mapping>Oracle9i</type-mapping> should match one of the <type-mapping> found in  /var/lib/jbossas/server/xxx/conf/standardjbosscmp-jdbc.xml
	b.	In this case make sure it is set to <type-mapping>Oracle9i</type-mapping>
8. restart jBoss.


This link is older but helped; https://community.jboss.org/wiki/ChangeDefaultDataSource

Also it would help if you could list what the Roles and Permissions should be set to for the User that is used in the DefaultDS for Oracle.  SYSTEM with all permissions is not practical for most databases.  You explain this for the MySQL install but not for Oracle.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joshua Wilson 2012-07-27 21:37:18 EDT
I now realized that some of this is sort of explained in section 2.5. Configuring JBoss Messaging Persistence Manager.  However there is nothing in setting up the DefaultDS to tell you to go there to resolve the errors that are created when you start the server.  Also this section does not cover everything I listed above.
Comment 2 Petr Penicka 2012-10-02 09:16:52 EDT
The original section in Getting Started Guide was removed (out of the scope of this BZ) during recent docs restructuring, only general information remained:

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Getting_Started_Guide/index.html#Using_other_Databases

Detailed information about configuration of datasources is located in chapter 15 and 16 of the Administration and Configuration Guide:

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Administration_And_Configuration_Guide/index.html#alternative_DBs

Plus, there are examples of Oracle datasource configuration in appendix B3:

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/apbs03.html

The two last mentioned links cover the information requested above.
Comment 4 Chuck Copello 2017-02-21 13:46:32 EST
Docs updated in 2012; marking this as Verified.

Note You need to log in before you can comment on or make changes to this bug.